## scim-python 0.1.13~rc1

=== debian/changelog ===
scim-python (0.1.13~rc1-3build2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:20:01 -0700

scim-python (0.1.13~rc1-3build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:14:23 +0000

scim-python (0.1.13~rc1-3) unstable; urgency=low

  * debian/watch: updated.
  * debian/control:
    - fix debhelper-but-no-misc-depends.
    - bump standards version to 3.9.1. 
    - set mantainer to IME team, add me to uploaders. 
    - remove DMUA. 
    - update Vcs-* fields. 
    - add libltdl-dev to build-depends (closes: #590360) 
    - build depends on debhelper >= 7, chrpath
  * debian/compat: change to 7.
  * debian/source/format: 3.0.
  * debian/rules: remove rpath on _scim.so.

 -- LI Daobing <lidaobing@debian.org>  Wed, 28 Jul 2010 22:56:13 +0800

scim-python (0.1.13~rc1-2) unstable; urgency=low

  * debian/control:
    - change maintainer's email.
    - change section of python-scim-dbg to debug.
    - add the missing ${misc:Depends} and ${python:Depends}
    - bump standards version to 3.8.1.
    - add python-all-dev to build depends. 
    - change Vcs-*, move from svn to git.
  * Fix "generates incorrect package with python-support from
    experimental", rewrite debian/rules, remove python-support related dir in
    debian/python-scim.install (Closes: #517306)

 -- LI Daobing <lidaobing@debian.org>  Tue, 05 May 2009 20:12:40 +0800

scim-python (0.1.13~rc1-1) experimental; urgency=low

  * new upstream release.
  * debian/watch: recognize rc version.  

 -- LI Daobing <lidaobing@gmail.com>  Sun, 21 Sep 2008 21:51:16 +0800

scim-python (0.1.12-1) unstable; urgency=low

  * Initial release (Closes: #487360)

 -- LI Daobing <lidaobing@gmail.com>  Sun, 20 Jul 2008 17:39:32 +0800
