=== debian/control ===
Source: scim-python
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders:
 LI Daobing <lidaobing@debian.org>
Build-Depends: cdbs, 
 debhelper (>= 7), 
 autotools-dev, 
 libgtk2.0-dev,
 python-support (>= 0.6),
 python-all-dev,
 python-gtk2-dev, 
 python-enchant, 
 scim-dev,
 libltdl-dev,
 chrpath
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/scim-python/
Vcs-Browser: https://code.launchpad.net/~pkg-ime/scim-python/debian-scim-python
Vcs-Bzr: lp:~pkg-ime/scim-python/debian-scim-python

Package: scim-python-common
Architecture: all
Depends: ${misc:Depends}
Description: Python language binding for SCIM - Common files
 This archive contains the locale files and icons for scim-python packages.

Package: python-scim
Section: python
Architecture: any
Depends: scim-python-common (=${source:Version}), ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: Python language binding for SCIM
 This archive contains modules that allow you to develop scim input method in
 Python programs.

Package: python-scim-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-scim (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python language binding for SCIM (debug extension)
 This archive contains modules that allow you to develop scim input method in
 Python programs.
 .
 This package contains the extension built for the Python debug interpreter.

Package: scim-python
Architecture: any
Depends: ${shlibs:Depends}, python-scim (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Python input method framework for SCIM
 Plugin interface for other scim input method written in Python.

Package: scim-python-englishwriter
Architecture: all
Depends: scim-python (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Description: English writer input method for scim-python
 English writer input method for scim, written in Python.

Package: scim-python-xingma
Architecture: all
Depends: python, scim-python (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Description: XingMa input method for scim-python
 XingMa input method for scim, written in Python.
