=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS=$(shell pyversions -vr)
PY_CUR_VER=$(shell pyversions -d)

build-%/configure-stamp:
	mkdir build-$*
	cd build-$* && PYTHON=/usr/bin/python$* LDFLAGS="-Wl,--as-needed" ../configure --prefix=/usr --disable-pinyin
	touch $@

build: $(PYVERS:%=build-%/build-stamp)
build-%/build-stamp: build-%/configure-stamp
	$(MAKE) -C build-$*
	touch $@

install: build $(PYVERS:%=install-%)
	chrpath -d ./debian/tmp/usr/lib/python*/*/scim-0.1/scim/_scim.so
	ln -sf /usr/lib/pymodules/$(PY_CUR_VER)/scim-0.1/scim/_scim.so \
		debian/tmp/usr/lib/scim-1.0/1.4.0/Helper/python.so
	ln -sf /usr/lib/pymodules/$(PY_CUR_VER)/scim-0.1/scim/_scim.so \
		debian/tmp/usr/lib/scim-1.0/1.4.0/IMEngine/python.so
	ln -sf /usr/lib/pymodules/$(PY_CUR_VER)/scim-0.1/scim/_scim.so \
		debian/tmp/usr/lib/scim-1.0/1.4.0/SetupUI/python.so
install-%: build-%/build-stamp
	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp

clean: $(PYVERS:%=clean-%)
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	dh_clean

clean-%:
	rm -rf build-$*

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_install -ppython-scim
	dh_install -pscim-python-common
	dh_install -pscim-python
	dh_install -pscim-python-englishwriter
	dh_install -pscim-python-xingma
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip -ppython-scim --dbg-package=python-scim-dbg
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_pysupport
	dh_pysupport -pscim-python-englishwriter /usr/share/scim-python/setupui/EnglishWriter/ /usr/share/scim-python/engine/EnglishWriter/
	dh_pysupport -pscim-python-xingma /usr/share/scim-python/engine/XingMa/
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep

get-orig-source:
	uscan --verbose --rename --repack --force-download
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch #PHONY_CONFIGURE#
